#ifndef MAP_H
#define MAP_H

#include "../data_config.h"

class Map {
public:
    int grid[MAP_CELL_NUM][MAP_CELL_NUM];

    Map();
    void reset();
    CELL_Type get(int x, int y) const;
    void set(int x, int y, CELL_Type type);
    CELL_Type peek(int x, int y, Direction dir) const;
};

#endif
